> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update model version aliases

<Callout icon="lock" color="#b2b1b1ff" iconType="regular">
  This feature is in [Private Preview](/support/preview-releases). For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.
</Callout>

Assign unique aliases to model versions instead of using autogenerated IDs. Use these aliases anywhere you would normally use an integer version ID.


## OpenAPI

````yaml patch /management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}
openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
servers:
  - url: https://api.cerebras.ai
security:
  - BearerAuth: []
paths:
  /management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}:
    patch:
      summary: Update model version aliases
      operationId: >-
        update_model_version_aliases_route_management_v1_orgs__org_name__models__model_arch_id__versions__version_id__patch
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: >-
              Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at
              https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.
            title: Org Name
          description: >-
            Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at
            https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            title: Model Arch Id
            description: >-
              Name of the model architecture (e.g. `llama3.1-8b`,
              `gpt-oss-120b`).
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Autoincrementing integer or user-defined alias to identify model
              version.
            title: Version Id
          description: >-
            Autoincrementing integer or user-defined alias to identify model
            version.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelVersionUpdateAliasesRequest'
            examples:
              update_aliases:
                summary: Update version aliases
                value:
                  version_aliases:
                    - production
                    - v1-stable
                    - latest
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionUpdateAliasesResponse'
              example:
                name: orgs/my-org/models/gpt-oss-120b/versions/1
                version_aliases:
                  - production
                  - v1-stable
                  - latest
components:
  schemas:
    ModelVersionUpdateAliasesRequest:
      properties:
        version_aliases:
          items:
            type: string
            pattern: ^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$
          type: array
          title: Version Aliases
          description: >-
            List of aliases for the model version. Must match pattern:
            `^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$`.


            Aliases must be unique within an organization and model
            architecture. If an alias is already assigned to another version, it
            must first be removed from that version before it can be reassigned.
      additionalProperties: false
      type: object
      required:
        - version_aliases
      title: ModelVersionUpdateAliasesRequest
    ModelVersionUpdateAliasesResponse:
      properties:
        name:
          type: string
          title: Name
        version_aliases:
          items:
            type: string
          type: array
          title: Version Aliases
      additionalProperties: false
      type: object
      required:
        - name
        - version_aliases
      title: ModelVersionUpdateAliasesResponse
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Management API key generated from the `Management API keys` section on
        the `API keys` page at https://cloud.cerebras.ai. Use the format:
        `Bearer <MANAGEMENT_API_KEY>`

````